use `sys-tran`;

DROP TABLE IF EXISTS `tran_inquiry_triage`;

CREATE TABLE `tran_inquiry_triage` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(255) NOT NULL DEFAULT '朗通通用' COMMENT '医院名称',
  `ip` varchar(100) NOT NULL DEFAULT '' COMMENT '访问者的IP',
  `pat_name` varchar(50) NOT NULL DEFAULT '' COMMENT '姓名',
  `pat_age` int(8) NOT NULL DEFAULT '0' COMMENT '年龄',
  `pat_sex` tinyint(4) NOT NULL DEFAULT '0' COMMENT '性别(1：男 2：女)',
  `id_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '证件类型(1：身份证，2：护照)',
  `id_num` varchar(100) NOT NULL DEFAULT '' COMMENT '证件号',
  `symptom` varchar(255) NOT NULL DEFAULT '' COMMENT '症状',
  `supplement` varchar(1024) NOT NULL DEFAULT '' COMMENT '补充说明',
  `dis_dept` varchar(2048) NOT NULL DEFAULT '' COMMENT '诊断结果和疾病科室',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='智能分诊记录主表';

DROP TABLE IF EXISTS `tran_opt_info`;

CREATE TABLE `tran_opt_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `sys_type` int(11) DEFAULT NULL COMMENT '访问的系统类型(1, "user-service"),(2, "diagbotman-service"),(3, "uaa-service"),(4, "log-service"),(5, "bi-service"),(6, "ltapi-service"),(7, "feedback-service"),(8, "icss-old-service"),(9, "triage-service"),(10, "appkey"),(11, "icss-service"),(12, "icssman-service"),(13, "knowledgeman-service"),(14, "tran-service"),(15, "aipt-service"),(16, "data-service"),(17, "prec-service");',
  `hospital_code` varchar(255) NOT NULL DEFAULT '朗通通用' COMMENT '医院名称',
  `ip` varchar(100) NOT NULL DEFAULT '' COMMENT '访问者的IP',
  `opt_type` varchar(10) DEFAULT NULL COMMENT '操作类型：1 开始，2 结束',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `idx_gmt_create` (`gmt_create`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='操作信息';